org.apache.tools.ant.types.optional.image

## Class ColorMapper

- java.lang.Object
- - org.apache.tools.ant.types.optional.image.ColorMapper

    public final class ColorMapper
    extends java.lang.Object

See Also:
  `Image`

### Field Summary

Fields
`static java.lang.String` `COLOR_BLACK` black string
`static java.lang.String` `COLOR_BLUE` blue string
`static java.lang.String` `COLOR_CYAN` cyan string
`static java.lang.String` `COLOR_DARKGRAY` black string
`static java.lang.String` `COLOR_DARKGREY` darkgrey string
`static java.lang.String` `COLOR_GRAY` gray string
`static java.lang.String` `COLOR_GREEN` green string
`static java.lang.String` `COLOR_GREY` grey string
`static java.lang.String` `COLOR_LIGHTGRAY` lightgray string
`static java.lang.String` `COLOR_LIGHTGREY` lightgrey string
`static java.lang.String` `COLOR_MAGENTA` magenta string
`static java.lang.String` `COLOR_ORANGE` orange string
`static java.lang.String` `COLOR_PINK` pink string
`static java.lang.String` `COLOR_RED` reg string
`static java.lang.String` `COLOR_WHITE` white string
`static java.lang.String` `COLOR_YELLOW` yellow string

### Method Summary

All Methods Static Methods Concrete Methods
`static java.awt.Color` `getColorByName(java.lang.String colorName)` Convert a color name to a color value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COLOR_BLACK

    public static final java.lang.String COLOR_BLACK

black string

See Also:
  Constant Field Values

#### COLOR_BLUE

    public static final java.lang.String COLOR_BLUE

blue string

See Also:
  Constant Field Values

#### COLOR_CYAN

    public static final java.lang.String COLOR_CYAN

cyan string

See Also:
  Constant Field Values

#### COLOR_DARKGRAY

    public static final java.lang.String COLOR_DARKGRAY

black string

See Also:
  Constant Field Values

#### COLOR_GRAY

    public static final java.lang.String COLOR_GRAY

gray string

See Also:
  Constant Field Values

#### COLOR_LIGHTGRAY

    public static final java.lang.String COLOR_LIGHTGRAY

lightgray string

See Also:
  Constant Field Values

#### COLOR_DARKGREY

    public static final java.lang.String COLOR_DARKGREY

darkgrey string

See Also:
  Constant Field Values

#### COLOR_GREY

    public static final java.lang.String COLOR_GREY

grey string

See Also:
  Constant Field Values

#### COLOR_LIGHTGREY

    public static final java.lang.String COLOR_LIGHTGREY

lightgrey string

See Also:
  Constant Field Values

#### COLOR_GREEN

    public static final java.lang.String COLOR_GREEN

green string

See Also:
  Constant Field Values

#### COLOR_MAGENTA

    public static final java.lang.String COLOR_MAGENTA

magenta string

See Also:
  Constant Field Values

#### COLOR_ORANGE

    public static final java.lang.String COLOR_ORANGE

orange string

See Also:
  Constant Field Values

#### COLOR_PINK

    public static final java.lang.String COLOR_PINK

pink string

See Also:
  Constant Field Values

#### COLOR_RED

    public static final java.lang.String COLOR_RED

reg string

See Also:
  Constant Field Values

#### COLOR_WHITE

    public static final java.lang.String COLOR_WHITE

white string

See Also:
  Constant Field Values

#### COLOR_YELLOW

    public static final java.lang.String COLOR_YELLOW

yellow string

See Also:
  Constant Field Values

### Method Detail

#### getColorByName

    public static java.awt.Color getColorByName(java.lang.String colorName)

Convert a color name to a color value.

Parameters:
  `colorName` - a string repr of the color.
Returns:
  the color value.
To do:
  refactor to use an EnumeratedAttribute (maybe?)